JNA API 3.2.7

## com.sun.jna
Class Native.DeleteNativeLibrary

    java.lang.Object
      java.lang.Thread
          com.sun.jna.Native.DeleteNativeLibrary

All Implemented Interfaces:
  Runnable

Enclosing class:
  Native

    public static class Native.DeleteNativeLibrary

extends Thread

For internal use only.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Native.DeleteNativeLibrary(File file)`

Method Summary
`static void` | `main(String[] args)`
`void` | `run()`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Native.DeleteNativeLibrary

    public Native.DeleteNativeLibrary(File file)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### main

    public static void main(String[] args)

JNA API 3.2.7

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.